Package ru.bitel.common

# Class ZipUtils

java.lang.Object
ru.bitel.common.ZipUtils

    public class ZipUtils
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ZipUtils​(java.io.InputStream is)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `doZip​(java.util.Map<java.lang.String,​byte[]> map, java.lang.String folderPath, java.lang.String patternTitle)` | Архивирует файлы/папки с файлами.
  `byte[]` | `getEntry​(java.lang.String entryName)` |
  `static java.util.Map<java.lang.String,​byte[]>` | `unZip​(java.io.File file)` | Распаковывает архив в память.
  `static java.util.Map<java.lang.String,​byte[]>` | `unZip​(java.lang.String filePath)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ZipUtils

    public ZipUtils​(java.io.InputStream is)

- ## Method Details

  - ### getEntry

    public byte[] getEntry​(java.lang.String entryName)
    Parameters:
      `entryName` - String
    Returns:
      byte[] Возвращает сущность из архива по заданному имени либо любую если имя null

  - ### doZip

    public static java.lang.String doZip​(java.util.Map<java.lang.String,​byte[]> map, java.lang.String folderPath, java.lang.String patternTitle) throws java.io.IOException
    Архивирует файлы/папки с файлами.
    Parameters:
      `Map` - map - мап, в качестве ключей выступает путь к файлу, а в качестве значения байтовый массив этого файла
      `String` - folderPath - путь, куда сохранять архив
      `String` - patternTitle - название файла шаблона
      `String` - patternType - тип файла шаблона
    Returns:
      String filePath - путь к архиву. /tmp/tmp.zip
    Throws:
      `java.io.IOException`

  - ### unZip

    public static java.util.Map<java.lang.String,​byte[]> unZip​(java.lang.String filePath) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### unZip

    public static java.util.Map<java.lang.String,​byte[]> unZip​(java.io.File file) throws java.io.IOException
    Распаковывает архив в память.
    Parameters:
      `String` - filePath - путь к файлу
    Returns:
      Map, где key - имя файдла с полным путем в архиве, value - байтовый массив
    Throws:
      `java.io.IOException`